boost::geometry::strategy::within::relate_box_box_loop< SubStrategy, Box1, Box2, DimensionCount, DimensionCount > Struct Template Reference

List of all members.

## Static Public Member Functions

static bool | apply (Box1 const &, Box2 const &)

### template<template< typename, std::size_t, typename > class SubStrategy, typename Box1, typename Box2, std::size_t DimensionCount>
struct boost::geometry::strategy::within::relate_box_box_loop< SubStrategy, Box1, Box2, DimensionCount, DimensionCount >

## Member Function Documentation

template<template< typename, std::size_t, typename > class SubStrategy, typename Box1 , typename Box2 , std::size_t DimensionCount>

static bool boost::geometry::strategy::within::relate_box_box_loop< SubStrategy, Box1, Box2, DimensionCount, DimensionCount >::apply | ( | Box1 const & | ,
|  | Box2 const & |
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK